# Uses of Class
org.eclipse.swt.graphics.Color

Packages that use Color
Package
Description
org.eclipse.nebula.jface.gridviewer
org.eclipse.nebula.widgets.grid
org.eclipse.rap.rwt.remote
org.eclipse.rap.rwt.template
org.eclipse.rap.rwt.theme
org.eclipse.swt.custom
org.eclipse.swt.graphics
org.eclipse.swt.widgets

## Uses of Color in org.eclipse.nebula.jface.gridviewer

Methods in org.eclipse.nebula.jface.gridviewer that return Color
Modifier and Type
Method
Description
`Color`
GridViewerRow.`getBackground(int columnIndex)`
`Color`
GridViewerRow.`getForeground(int columnIndex)`
Methods in org.eclipse.nebula.jface.gridviewer with parameters of type Color
Modifier and Type
Method
Description
`void`
GridViewerRow.`setBackground(int columnIndex, Color color)`
`void`
GridViewerRow.`setForeground(int columnIndex, Color color)`

## Uses of Color in org.eclipse.nebula.widgets.grid

Methods in org.eclipse.nebula.widgets.grid that return Color
Modifier and Type
Method
Description
`Color`
GridItem.`getBackground()`
Returns the receiver's background color.
`Color`
GridItem.`getBackground(int index)`
Returns the background color at the given column index in the receiver.
`Color`
GridItem.`getForeground()`
Returns the foreground color that the receiver will use to draw.
`Color`
GridItem.`getForeground(int index)`
Returns the foreground color at the given column index in the receiver.
`Color`
GridItem.`getHeaderBackground()`
Returns the receiver's row header background color
`Color`
GridItem.`getHeaderForeground()`
Returns the receiver's row header foreground color
Methods in org.eclipse.nebula.widgets.grid with parameters of type Color
Modifier and Type
Method
Description
`void`
GridItem.`setBackground(int index, Color background)`
Sets the background color at the given column index in the receiver to the color specified by the argument, or to the default system color for the item if the argument is null.
`void`
GridItem.`setBackground(Color background)`
Sets the receiver's background color to the color specified by the argument, or to the default system color for the item if the argument is null.
`void`
GridItem.`setForeground(int index, Color foreground)`
Sets the foreground color at the given column index in the receiver to the color specified by the argument, or to the default system color for the item if the argument is null.
`void`
GridItem.`setForeground(Color foreground)`
Sets the receiver's foreground color to the color specified by the argument, or to the default system color for the item if the argument is null.
`void`
GridItem.`setHeaderBackground(Color headerBackground)`
Set the new header background
`void`
GridItem.`setHeaderForeground(Color headerForeground)`
Set the new header foreground

## Uses of Color in org.eclipse.rap.rwt.remote

Methods in org.eclipse.rap.rwt.remote with parameters of type Color
Modifier and Type
Method
Description
`static JsonValue`
JsonMapping.`toJson(Color color)`
Returns the JSON representation for the given Color.
`static JsonValue`
JsonMapping.`toJson(Color color, int alpha)`
Returns the JSON representation for the given Color with an additional alpha (opacity) value.

## Uses of Color in org.eclipse.rap.rwt.template

Methods in org.eclipse.rap.rwt.template with parameters of type Color
Modifier and Type
Method
Description
`T`
Cell.`setBackground(Color color)`
Sets the background color for this cell.
`T`
Cell.`setForeground(Color color)`
Sets the foreground color for this cell.

## Uses of Color in org.eclipse.rap.rwt.theme

Methods in org.eclipse.rap.rwt.theme that return Color
Modifier and Type
Method
Description
`Color`
ControlThemeAdapter.`getBackground(Control control)`
Returns the default background color that the specified control will use if no user-defined background color has been set using `Control.setBackground(Color)`.
`Color`
ControlThemeAdapter.`getForeground(Control control)`
Returns the default foreground color that the specified control will use to draw if no user defined foreground color has been set using `Control.setForeground(Color)`.

## Uses of Color in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom that return Color
Modifier and Type
Method
Description
`Color`
CTabFolder.`getSelectionBackground()`
Returns the receiver's selection background color.
`Color`
CTabFolder.`getSelectionForeground()`
Returns the receiver's selection foreground color.
Methods in org.eclipse.swt.custom with parameters of type Color
Modifier and Type
Method
Description
`void`
CLabel.`setBackground(Color color)`
`void`
CLabel.`setBackground(Color[] colors, int[] percents)`
Specify a gradient of colours to be drawn in the background of the CLabel.
`void`
CLabel.`setBackground(Color[] colors, int[] percents, boolean vertical)`
Specify a gradient of colours to be drawn in the background of the CLabel.
`void`
SashForm.`setBackground(Color color)`
`void`
SashForm.`setForeground(Color color)`
`void`
CTabFolder.`setSelectionBackground(Color color)`
Sets the receiver's selection background color to the color specified by the argument, or to the default system color for the control if the argument is null.
`void`
CTabFolder.`setSelectionBackground(Color[] colors, int[] percents)`
Specify a gradient of colours to be draw in the background of the selected tab.
`void`
CTabFolder.`setSelectionBackground(Color[] colors, int[] percents, boolean vertical)`
Specify a gradient of colours to be draw in the background of the selected tab.
`void`
CTabFolder.`setSelectionForeground(Color color)`
Set the foreground color of the selected tab.

## Uses of Color in org.eclipse.swt.graphics

Methods in org.eclipse.swt.graphics that return Color
Modifier and Type
Method
Description
`Color`
GC.`getBackground()`
Returns the background color.
`Color`
Image.`getBackground()`
Returns the color to which to map the transparent pixel, or null if the receiver has no transparent pixel.
`Color`
GC.`getForeground()`
Returns the receiver's foreground color.
`Color`
Device.`getSystemColor(int id)`
Returns the matching standard color for the given constant, which should be one of the color constants specified in class `SWT`.
Methods in org.eclipse.swt.graphics with parameters of type Color
Modifier and Type
Method
Description
`void`
GC.`setBackground(Color color)`
Sets the background color.
`void`
Image.`setBackground(Color color)`
Sets the color to which to map the transparent pixel.
`void`
GC.`setForeground(Color color)`
Sets the foreground color.

## Uses of Color in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return Color
Modifier and Type
Method
Description
`Color`
Control.`getBackground()`
Returns the receiver's background color.
`Color`
TableItem.`getBackground()`
Returns the receiver's background color.
`Color`
TableItem.`getBackground(int index)`
Returns the background color at the given column index in the receiver.
`Color`
TreeItem.`getBackground()`
Returns the receiver's background color.
`Color`
TreeItem.`getBackground(int index)`
Returns the background color at the given column index in the receiver.
`Color`
Control.`getForeground()`
Returns the foreground color that the receiver will use to draw.
`Color`
TableItem.`getForeground()`
Returns the foreground color that the receiver will use to draw.
`Color`
TableItem.`getForeground(int index)`
Returns the foreground color at the given column index in the receiver.
`Color`
TreeItem.`getForeground()`
Returns the foreground color that the receiver will use to draw.
`Color`
TreeItem.`getForeground(int index)`
Returns the foreground color at the given column index in the receiver.
`Color`
Table.`getHeaderBackground()`
Returns the header background color.
`Color`
Tree.`getHeaderBackground()`
Returns the header background color.
`Color`
Table.`getHeaderForeground()`
Returns the header foreground color.
`Color`
Tree.`getHeaderForeground()`
Returns the header foreground color.
`Color`
Display.`getSystemColor(int id)`
Methods in org.eclipse.swt.widgets with parameters of type Color
Modifier and Type
Method
Description
`void`
Control.`setBackground(Color color)`
Sets the receiver's background color to the color specified by the argument, or to the default system color for the control if the argument is null.
`void`
TableItem.`setBackground(int index, Color color)`
Sets the background color at the given column index in the receiver to the color specified by the argument, or to the default system color for the item if the argument is null.
`void`
TableItem.`setBackground(Color color)`
Sets the receiver's background color to the color specified by the argument, or to the default system color for the item if the argument is null.
`void`
TreeItem.`setBackground(int index, Color color)`
Sets the background color at the given column index in the receiver to the color specified by the argument, or to the default system color for the item if the argument is null.
`void`
TreeItem.`setBackground(Color value)`
Sets the receiver's background color to the color specified by the argument, or to the default system color for the item if the argument is null.
`void`
Control.`setForeground(Color color)`
Sets the receiver's foreground color to the color specified by the argument, or to the default system color for the control if the argument is null.
`void`
TableItem.`setForeground(int index, Color color)`
Sets the foreground color at the given column index in the receiver to the color specified by the argument, or to the default system color for the item if the argument is null.
`void`
TableItem.`setForeground(Color color)`
Sets the receiver's foreground color to the color specified by the argument, or to the default system color for the item if the argument is null.
`void`
TreeItem.`setForeground(int index, Color color)`
Sets the foreground color at the given column index in the receiver to the color specified by the argument, or to the default system color for the item if the argument is null.
`void`
TreeItem.`setForeground(Color value)`
Sets the receiver's foreground color to the color specified by the argument, or to the default system color for the item if the argument is null.
`void`
Table.`setHeaderBackground(Color color)`
Sets the header background color to the color specified by the argument, or to the default system color if the argument is null.
`void`
Tree.`setHeaderBackground(Color color)`
Sets the header background color to the color specified by the argument, or to the default system color if the argument is null.
`void`
Table.`setHeaderForeground(Color color)`
Sets the header foreground color to the color specified by the argument, or to the default system color if the argument is null.
`void`
Tree.`setHeaderForeground(Color color)`
Sets the header foreground color to the color specified by the argument, or to the default system color if the argument is null.